OTP::PDU::Block< T > Struct Template Reference

The PDU::Block struct. More...

`#include <pdu.h>`

Inheritance diagram for OTP::PDU::Block< T >:
[legend]

## Public Member Functions

void | setParent (Pdu parent)
| setParent More...
size_t | streamSize () const override
| streamSize More...
void | iStream (Stream s) override
| iStream More...
void | oStream (Stream s) const override
| oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

std::shared_ptr< std::vector< std::shared_ptr< T > > > | members
| Messages contained in the block. More...

## Detailed Description

### template<class T>
struct OTP::PDU::Block< T >

The PDU::Block struct.

## Member Function Documentation

## iStream()

template<class T >

void OTP::PDU::Block< T >::iStream | ( | Stream | s | ) |

inlineoverride

iStream

Parameters

  s |

## oStream()

template<class T >

void OTP::PDU::Block< T >::oStream | ( | Stream | s | ) | const

inlineoverride

oStream

Parameters

  s |

## setParent()

template<class T >

void OTP::PDU::Block< T >::setParent | ( | Pdu | parent | ) |

inline

setParent

Parameters

  parent |

## streamSize()

template<class T >

size_t OTP::PDU::Block< T >::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

## Member Data Documentation

## members

template<class T >

std::shared_ptr<std::vector<std::shared_ptr<T> > > OTP::PDU::Block< T >::members

Initial value:
= std::shared_ptr<std::vector<std::shared_ptr<T>>>
(new std::vector<std::shared_ptr<T>>)

Messages contained in the block.

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/pdu.h